﻿// Copyright (c) 2023 Tudor Stanciu

using System.Threading;
using System.Threading.Tasks;

namespace Correo.Abstractions
{
    public interface IMailer
    {
        void SendEmail(EmailMessage message);
        Task SendEmailAsync(EmailMessage message, CancellationToken token = default);
    }
}
